Overview | Package | Class
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.ast
Class ClassCodeVisitorSupport

Constructor Summary
`ClassCodeVisitorSupport()`

Method Summary
`void` | `addError(String msg, ASTNode expr)`
`SourceUnit` | `getSourceUnit()`
`void` | `visitAnnotations(AnnotatedNode node)`
`void` | `visitAssertStatement(AssertStatement statement)`
`void` | `visitBlockStatement(BlockStatement block)`
`void` | `visitBreakStatement(BreakStatement statement)`
`void` | `visitCaseStatement(CaseStatement statement)`
`void` | `visitCatchStatement(CatchStatement statement)`
`void` | `visitClass(ClassNode node)`
`void` | `visitClassCodeContainer(Statement code)`
`void` | `visitConstructor(ConstructorNode node)`
`void` | `visitConstructorOrMethod(MethodNode node, boolean isConstructor)`
`void` | `visitContinueStatement(ContinueStatement statement)`
`void` | `visitDoWhileLoop(DoWhileStatement loop)`
`void` | `visitExpressionStatement(ExpressionStatement statement)`
`void` | `visitField(FieldNode node)`
`void` | `visitForLoop(ForStatement forLoop)`
`void` | `visitIfElse(IfStatement ifElse)`
`void` | `visitMethod(MethodNode node)`
`void` | `visitProperty(PropertyNode node)`
`void` | `visitReturnStatement(ReturnStatement statement)`
`void` | `visitStatement(Statement statement)`
`void` | `visitSwitch(SwitchStatement statement)`
`void` | `visitSynchronizedStatement(SynchronizedStatement statement)`
`void` | `visitThrowStatement(ThrowStatement statement)`
`void` | `visitTryCatchFinally(TryCatchStatement statement)`
`void` | `visitWhileLoop(WhileStatement loop)`

Constructor Detail

### ClassCodeVisitorSupport

    ClassCodeVisitorSupport()

Method Detail

### addError

    void addError(String msg, ASTNode expr)

### getSourceUnit

    SourceUnit getSourceUnit()

### visitAnnotations

    public void visitAnnotations(AnnotatedNode node)

### visitAssertStatement

    public void visitAssertStatement(AssertStatement statement)

### visitBlockStatement

    public void visitBlockStatement(BlockStatement block)

### visitBreakStatement

    public void visitBreakStatement(BreakStatement statement)

### visitCaseStatement

    public void visitCaseStatement(CaseStatement statement)

### visitCatchStatement

    public void visitCatchStatement(CatchStatement statement)

### visitClass

    public void visitClass(ClassNode node)

### visitClassCodeContainer

    void visitClassCodeContainer(Statement code)

### visitConstructor

    public void visitConstructor(ConstructorNode node)

### visitConstructorOrMethod

    void visitConstructorOrMethod(MethodNode node, boolean isConstructor)

### visitContinueStatement

    public void visitContinueStatement(ContinueStatement statement)

### visitDoWhileLoop

    public void visitDoWhileLoop(DoWhileStatement loop)

### visitExpressionStatement

    public void visitExpressionStatement(ExpressionStatement statement)

### visitField

    public void visitField(FieldNode node)

### visitForLoop

    public void visitForLoop(ForStatement forLoop)

### visitIfElse

    public void visitIfElse(IfStatement ifElse)

### visitMethod

    public void visitMethod(MethodNode node)

### visitProperty

    public void visitProperty(PropertyNode node)

### visitReturnStatement

    public void visitReturnStatement(ReturnStatement statement)

### visitStatement

    void visitStatement(Statement statement)

### visitSwitch

    public void visitSwitch(SwitchStatement statement)

### visitSynchronizedStatement

    public void visitSynchronizedStatement(SynchronizedStatement statement)

### visitThrowStatement

    public void visitThrowStatement(ThrowStatement statement)

### visitTryCatchFinally

    public void visitTryCatchFinally(TryCatchStatement statement)

### visitWhileLoop

    public void visitWhileLoop(WhileStatement loop)